IRPCUserGroupsAdmin.GetUserContainersAdmin

View as Markdown

Administration API / specialized admin session idempotent

Gets all user groups of the vault, including the groups that represent external repository users and groups.

ServiceUser groups MFiles.IRPCUserGroupsAdmin
gRPC method/MFiles.IRPCUserGroupsAdmin/GetUserContainersAdmin
HTTP (mf-http-grpc)POST /grpc/v1/get-user-containers-admin
RequestGetUserContainersAdminRequest
ResponseGetUserContainersAdminResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetUserContainersAdminRequest

No fields.

Response: GetUserContainersAdminResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
values[]repeated UserGroupThe user groups of all types.
values[].user_groupUserGroupBasicThe basic data of the group.
values[].user_group.idint32The ID of the user group.
values[].user_group.namestringThe name of the group.
values[].user_group.members[]repeated int32The IDs of the members of this group (user accounts and/or user groups).
values[].user_group.typeUserGroupTypeUser group type.Values: USER_GROUP_TYPE_NORMAL (0), USER_GROUP_TYPE_REPOSITORY_USER (1), USER_GROUP_TYPE_REPOSITORY_GROUP (2), USER_GROUP_TYPE_ANY (-1).
values[].is_external_windows_groupboolIs group imported from Windows domain.
values[].synchronize_membershipsboolShould memberships of this group be synchronized automatically.
values[].license_type_for_new_loginsLicenseTypeType of the license for logins created automatically.Values: LICENSE_TYPE_NONE (0), LICENSE_TYPE_NAMED_USER_LICENSE (1), LICENSE_TYPE_CONCURRENT_USER_LICENSE (2), LICENSE_TYPE_READ_ONLY_LICENSE (3), LICENSE_TYPE_VISITOR_LICENSE (4).
values[].external_group_namestringThe name for external group. Empty if the group is not external.
values[].organizational_unitstringThe organizational unit for filtering the AD group searches. Empty if the group is not external.
values[].aclAccessControlListPermissions.
values[].acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
values[].acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
values[].acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
values[].acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
values[].acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
values[].acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
values[].aliasesstringSemicolon-separated list of semantic aliases.
values[].import_modeExternalGroupImportModeImport mode for external groups.Values: EXTERNAL_GROUP_IMPORT_MODE_UNDEFINED (0), EXTERNAL_GROUP_IMPORT_MODE_DIRECT_USERS (1), EXTERNAL_GROUP_IMPORT_MODE_DIRECT_AND_NESTED_USERS (2).
values[].external_repository_namestringExternal repository name. unset if this group doesn't represent external repository user information.
values[].external_repository_subject_idstringID in the external repository. unset if this group doesn't represent external repository user information.